package pl.slawas.scjdbc4jpa.jdbc;

import pl.slawas.paging.PagedResultSupport;
import pl.slawas.paging.PagingParams;

/**
 * 
 * PagedResult - stronicowany wynik zapytania
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.3 $
 * 
 */
public class PagedResult extends PagedResultSupport<ResultRow> {

	private static final long serialVersionUID = -5210221106589109534L;

	/**
	 * @param pagingParams
	 * @param result
	 * @param query
	 */
	public PagedResult(PagingParams pagingParams, QueryResult result,
			JDBCQuery query) {
		super(pagingParams, result, query, false);
	}

	public SelectQuery.QueryCacheInfo getQueryInfo() {
		return ((QueryResult) result).getQueryCacheInfo();
	}

}
