package pl.slawas.scjdbc4jpa.jdbc.beans;

/**
 * 
 * JDBCKeyType - typy kluczy
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum JDBCKeyType {

	/**
	 * Typ dla klucza głownego (Primary Key)
	 */
	PK,
	/**
	 * Typ dla klucza obcego (Foreign Key)
	 */
	FK,
	/**
	 * Typ dla klucza obcego z tablicy powiązanej (Foreign Foreign Key) dla
	 * powiązan trzeciego stopnia
	 */
	FFK;

}
