package pl.slawas.scjdbc4jpa.jdbc.exceptions;

/**
 * 
 * ExecuteSQLQueryException - błąd wykonania zapytania SQL
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class CreateSQLQueryException extends Exception {

	private static final long serialVersionUID = -6818199532152800874L;

	/**
	 * 
	 */
	public CreateSQLQueryException() {
		super();
	}

	/**
	 * @param message
	 * @param cause
	 */
	public CreateSQLQueryException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public CreateSQLQueryException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public CreateSQLQueryException(Throwable cause) {
		super(cause);
	}

}
