package pl.slawas.scjdbc4jpa.jdbc.exceptions;

/**
 * 
 * SQLFunctionImplementationException - błąd na poziomie pobrania implementacji
 * funkcji SQL - nie znaleziono implementacji funkcji
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class SQLFunctionNotFoundException extends Exception {

	private static final long serialVersionUID = -6818199532152800874L;

	/**
	 * 
	 */
	public SQLFunctionNotFoundException() {
		super();
	}

	/**
	 * @param message
	 * @param cause
	 */
	public SQLFunctionNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public SQLFunctionNotFoundException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public SQLFunctionNotFoundException(Throwable cause) {
		super(cause);
	}

}
