package pl.slawas.scjdbc4jpa.jdbc.sql.functions;

import java.sql.Date;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.FunctionSupport;

/**
 * 
 * TO_DATE - funkcja zamieniania obiektów (łańcuchów znakowych) do daty
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
@SuppressWarnings("serial")
public abstract class ToDateSupport extends FunctionSupport {

	/**
	 * Konstruktor funkcji zamieniania obiektów do daty
	 * 
	 * @param name
	 *            nazwa funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToDateSupport(String name, String alias, String[] arguments) {
		super(Date.class, name, alias, arguments);
	}

}
