package pl.slawas.scjdbc4jpa.jdbc.sql.functions;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.FunctionSupport;

/**
 * 
 * ToLowerCaseSupport - abstrakcja funkcji zamieniania obiektów łańcucha
 * znakowego do łańcucha znakowego pisanego małymi literami.
 * 
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
@SuppressWarnings("serial")
public abstract class ToLowerCaseSupport extends FunctionSupport {

	/**
	 * Konstruktor funkcji zamieniania obiektów do łańcucha znakowego
	 * 
	 * @param name
	 *            nazwa funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToLowerCaseSupport(String name, String alias, String[] arguments) {
		super(String.class, name, alias, arguments);
	}

}
