package pl.slawas.scjdbc4jpa.jdbc.sql.functions;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.FunctionSupport;

/**
 * 
 * TRUNC - funkcja obcinająca wartości typu date oraz numeryczne
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
@SuppressWarnings({ "serial" })
public abstract class TruncSupport extends FunctionSupport {

	/**
	 * Konstruktor funkcji obcinającej wartości typu 'date' oraz numeryczne
	 * 
	 * @param returnType
	 *            typ wyniku funkcji
	 * @param name
	 *            nazwa funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public TruncSupport(Class<?> returnType, String name, String alias,
			String[] arguments) {
		super(returnType, name, alias, arguments);
	}

}
