package pl.slawas.scjdbc4jpa.jdbc.sql.functions;

/**
 * 
 * _IFunction interfejs funkcji SQL
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.3 $
 * 
 */
public interface _IFunction {

	/**
	 * 
	 * @return klauzula implementacji funkcji SQL używana w zapytaniach SQL
	 */
	public String getClause();

	/**
	 * @return typ zwracanej wartości przez funkcję
	 */
	public Class<?> getReturnType();

	/**
	 * @return nazwa funkcji
	 */
	public String getName();

	/**
	 * @return alias - nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *         bedzie wynik funkcji
	 */
	public String getAlias();

	/**
	 * @return zwraca argumenty funkcji
	 */
	public String[] getArguments();

}