package pl.slawas.scjdbc4jpa.jdbc.sql.functions.hsql;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.NVLSupport;

/**
 * 
 * NVL - NVL (NOT VALUE)- funkcja zaimplementowana dla bazy danych HyperSQL
 * Database Engine (HSQLDB)
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class NVL extends NVLSupport {

	private static final long serialVersionUID = 8594151083288593621L;

	/**
	 * Konstruktor funkcji obsługi braku wartości kolumny
	 * 
	 * @param returnType
	 *            typ wyniku funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public NVL(Class<?> returnType, String alias, String[] arguments) {
		super(returnType, "NVL", alias, arguments);
	}

}
