package pl.slawas.scjdbc4jpa.jdbc.sql.functions.hsql;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.ToDateSupport;

/**
 * 
 * ToDate - TO_DATE - funkcja zaimplementowana dla bazy danych HyperSQL Database
 * Engine (HSQLDB)
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class ToDate extends ToDateSupport {

	private static final long serialVersionUID = 8594151083288593620L;

	/**
	 * Konstruktor funkcji zamieniania obiektów do daty
	 * 
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToDate(String alias, String[] arguments) {
		super("TO_DATE", alias, arguments);
	}

}
