package pl.slawas.scjdbc4jpa.jdbc.sql.functions.hsql;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.ToUpperCaseSupport;

/**
 * 
 * ToUpperCase - UCASE - funkcja zaimplementowana dla bazy danych HyperSQL
 * Database Engine (HSQLDB)
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class ToUpperCase extends ToUpperCaseSupport {

	private static final long serialVersionUID = 8594151083288593622L;

	/**
	 * Konstruktor funkcji zamieniania obiektów do łańcucha znakowego
	 * 
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToUpperCase(String alias, String[] arguments) {
		super("UCASE", alias, arguments);
	}

}
