package pl.slawas.scjdbc4jpa.jdbc.sql.functions.hsql;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.TruncSupport;

/**
 * 
 * Trunc - funkcja zaimplementowana funkcja zaimplementowana dla bazy danych
 * HyperSQL Database Engine (HSQLDB)
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class Trunc extends TruncSupport {

	private static final long serialVersionUID = 8594151083288593621L;

	/**
	 * Konstruktor funkcji obcinającej wartości typu 'date' oraz numeryczne
	 * 
	 * @param returnType
	 *            typ wyniku funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public Trunc(Class<?> returnType, String alias, String[] arguments) {
		super(returnType, "TRUNC", alias, arguments);
	}

}
