package pl.slawas.scjdbc4jpa.jdbc.sql.functions.oracle;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.ToLowerCaseSupport;

/**
 * 
 * ToLowerCase - LOWER - funkcja zaimplementowana dla serwera Oracle
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class ToLowerCase extends ToLowerCaseSupport {

	private static final long serialVersionUID = 8594151083288593622L;

	/**
	 * Konstruktor funkcji zamieniania obiektów do łańcucha znakowego
	 * 
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToLowerCase(String alias, String[] arguments) {
		super("LOWER", alias, arguments);
	}

}
