package pl.slawas.scjdbc4jpa.jdbc.sql.functions.oracle;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.ToNumberSupport;

/**
 * 
 * ToNumber - TO_NUMBER - funkcja zaimplementowana dla serwera Oracle
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class ToNumber extends ToNumberSupport {

	private static final long serialVersionUID = 8594151083288593623L;

	/**
	 * Konstruktor funkcji zamieniania obiektów do liczby
	 * 
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToNumber(String alias, String[] arguments) {
		super("TO_NUMBER", alias, arguments);
	}

}
