package pl.slawas.scjdbc4jpa.jdbc.utils;

/**
 * 
 * JdbcEntityParserLevel - poziomy parsowania encji
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum JDBCEntityParserLevel {
	/**
	 * Pierwszy poziom parsowania encji, zwraca tylko opis tabeli podstawowej
	 */
	FIRST,
	/**
	 * Drugi poziom parsowania, zwraca opis tabeli podstawowej oraz opisy tablic
	 * bezpośrednio powiązanych
	 */
	SECOND,
	/**
	 * Trzeci poziom parsowania, zwraca opis tabeli podstawowej, opisy tablic
	 * bezpośrednio powiązanych oraz opisy tabic powiazanych z tablicami
	 * powiazanymi
	 */
	THIRD

}
