package pl.slawas.scjdbc4jpa.jdbc.where;

/**
 * 
 * ParamOperatorIn - proste operatory logiczne dla paramerów z uzyciem klauzuli
 * IN
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum ParamOperatorIn implements _IParamOperator {

	IN("IN", "NOT IN");

	private final String operator;

	private final String notOperator;

	/**
	 * 
	 * @param operator
	 *            operator
	 * @param notOperator
	 *            operator negatywny
	 */
	private ParamOperatorIn(String operator, String notOperator) {
		this.operator = operator;
		this.notOperator = notOperator;
	}

	public String getOperator() {
		return operator;
	}

	public String getNotOperator() {
		return notOperator;
	}

}
