package pl.slawas.scjdbc4jpa.jpa;

import javax.persistence.EntityManagerFactory;
import javax.sql.DataSource;

import org.hibernate.cfg.Configuration;
import org.hibernate.engine.Mapping;

public interface _JpaEntityManagerFactory extends EntityManagerFactory {

	/**
	 * @return the batchCommitSize
	 */
	public abstract int getBatchCommitSize();

	/**
	 * @return the batchSize
	 */
	public abstract int getBatchSize();

	/**
	 * @return the hibernate3 configuration
	 */
	public abstract Configuration getConfiguration();

	/**
	 * 
	 * @return
	 */
	public abstract Mapping getMapping();

	/**
	 * 
	 * @return
	 */
	public abstract DataSource getDataSource();

}
