package pl.slawas.scjdbc4jpa.jdbc;

/**
 * 
 * _IClause - obiekty zawierające treść zapytania SQL lub jej elementy.
 * 
 * @see SelectQuery
 * @see WhereClause
 * @see SortClause
 * @see GroupByClause
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public interface _IClause {

	/**
	 * Metoda pobierania (budowania) klauzuli grupowania
	 * 
	 * @return klauzula grupowania
	 */
	public String getClause();

}