package pl.slawas.scjdbc4jpa.jdbc.beans;

/**
 * 
 * JdbcColumnPropertyType typy pochodzenia definicji kolumn w tablicy
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum JDBCColumnSourceType {

	/**
	 * Typ kolumny odróżniający kolumny własne tabeli od kolum pochodzących od
	 * tablic powiązanych podczas budowania zapytania SQL
	 */
	MAIN,
	/**
	 * Typ kolumny odróżniający kolumny pochodzące od tablic powiązanych od
	 * własnych tabeli podczas budowania zapytania SQL
	 */
	FOREIGN;

}
