package pl.slawas.scjdbc4jpa.jdbc.cache;

import pl.slawas.scjdbc4jpa.config.JpaConfig;
import pl.slawas.scjdbc4jpa.config.JpaProperties;

public interface _IObjectCacheProvider {

	/**
	 * Ścieżka do pliku konfiguracyjnego kesz-a
	 */
	public static String CUSTOM_CONFIG_PATH = JpaConfig.getInstance().get(
			JpaProperties.CACHE_CONFIG_PATH);

	public abstract String[] getCacheNames();

	public abstract _IObjectCache getCache(String name);

	public abstract void removeCache(String name);

	public abstract void close();

}