package pl.slawas.scjdbc4jpa.jdbc.cache.managers;

import pl.slawas.scjdbc4jpa.jdbc.cache.CacheUsage;

public interface _ICachedEntityInfo {

	/**
	 * @return the objectCacheStatus - informacja o tym czy obiekt może być
	 *         użyty, czy ma być odświeżony. Zwracana jest jedną z trzech
	 *         wartości: {@link CacheUsage#TO_USE}, {@link CacheUsage#REFRESH}
	 *         oraz {@link CacheUsage#TO_USE_IN_FIRST_LEVEL_CACHE}
	 */
	CacheUsage getObjectCacheStatus();

	/**
	 * @param objectCacheStatus
	 *            ustawianie informacji o tym czy obiekt może być użyty, czy ma
	 *            być odświeżony. Parametr może przyjmować jedną z dwóch
	 *            wartości: {@link CacheUsage#TO_USE} oraz
	 *            {@link CacheUsage#REFRESH}
	 */
	void setObjectCacheStatus(CacheUsage objectCacheStatus);

}
