package pl.slawas.scjdbc4jpa.jdbc.dml;

/**
 * 
 * DataModificationType typy modyfikacji danych
 * 
 * @see DataModificationType#INSERT
 * @see DataModificationType#UPDATE
 * @see DataModificationType#DELETE
 * @see DataModificationType#SELECT_FOR_UPDATE
 * 
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum DataModificationType {

	/**
	 * Wstawianie wierszy
	 */
	INSERT,
	/**
	 * Aktualizacja wierszy
	 */
	UPDATE,
	/**
	 * Usuwanie wierszy
	 */
	DELETE,
	/**
	 * blokowanie wierszy do modyfikacji
	 */
	SELECT_FOR_UPDATE;

}
