package pl.slawas.scjdbc4jpa.jdbc.dml;

import java.sql.Connection;
import java.sql.SQLException;

import javax.sql.DataSource;

import pl.slawas.scjdbc4jpa.jdbc.exceptions.ExecuteSQLQueryException;

public interface _IDmlQuery {

	public _IDmlQuery prepareStatement(DataSource dataSource)
			throws SQLException;

	public _IDmlQuery prepareStatement(Connection conn) throws SQLException;

	public void setParam(Object param);

	public void setBatchSize(int batchSize) throws ExecuteSQLQueryException;

	public int addBatch() throws ExecuteSQLQueryException;

	public int addBatch(Object param) throws ExecuteSQLQueryException;

	public int executeBatch() throws ExecuteSQLQueryException;

	public int executeUpdate() throws ExecuteSQLQueryException;

	public int executeUpdate(Object param) throws ExecuteSQLQueryException;

	public void close();

	public boolean isOracleStatement() throws ExecuteSQLQueryException;

	public DataModificationType getType();

}