package pl.slawas.scjdbc4jpa.jdbc.exceptions;

/**
 * 
 * CachedObjectException
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class CachedObjectException extends RuntimeException {

	private static final long serialVersionUID = 4402962767804201131L;

	/**
	 * 
	 */
	public CachedObjectException() {
		super("Blad keszowanego obiektu");
	}

	/**
	 * @param message
	 * @param cause
	 */
	public CachedObjectException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public CachedObjectException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public CachedObjectException(Throwable cause) {
		super(cause);
	}

}
