package pl.slawas.scjdbc4jpa.jdbc.exceptions;

/**
 * 
 * JDBCEntityManagerException entity managera
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class JDBCEntityManagerException extends RuntimeException {

	private static final long serialVersionUID = 4402962767804201131L;

	/**
	 * 
	 */
	public JDBCEntityManagerException() {
		super("Blad entity manager-a");
	}

	/**
	 * @param message
	 * @param cause
	 */
	public JDBCEntityManagerException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public JDBCEntityManagerException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public JDBCEntityManagerException(Throwable cause) {
		super(cause);
	}

}
