package pl.slawas.scjdbc4jpa.jdbc.exceptions;

/**
 * 
 * JDBCTransactionException błąd transakcji
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class JDBCTransactionException extends RuntimeException {

	private static final long serialVersionUID = 4402962767804201131L;

	/**
	 * 
	 */
	public JDBCTransactionException() {
		super("Blad transakcji");
	}

	/**
	 * @param message
	 * @param cause
	 */
	public JDBCTransactionException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public JDBCTransactionException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public JDBCTransactionException(Throwable cause) {
		super(cause);
	}

}
