package pl.slawas.scjdbc4jpa.jdbc.generators;

import java.io.Serializable;

import pl.slawas.scjdbc4jpa.dialect.Dialect;

/**
 * 
 * ValueGenerator - obiekt generatora wartości klucza głównego
 * <p>
 * TODO DO IMPLEMENTACJI
 * </p>
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class ValueGenerator implements Serializable {

	private static final long serialVersionUID = -4263955649275283897L;

	public ValueGenerator(Dialect dialect, Class<?> entityClass) {

	}

	/**
	 * Pobieranie kolejnej wygenerowanej wartości klucza głownego
	 * 
	 * @return
	 */
	public Object getNext() {
		return null;
	}

	/**
	 * Pobieranie aktualnie wygenerowanej wartości klucza głownego
	 * 
	 * @return
	 */
	public Object getCurrent() {
		return null;
	}

	/**
	 * Czy klucz główny jest wartością generowaną?
	 * 
	 * @return {@code true} jeżeli tak, inaczej {@code false}
	 */
	public boolean primaryKeyCanBeGenerated() {
		return false;
	}

	/**
	 * Czy generowanie wartości klucza głównego jest dostępne dla danego
	 * dialektu serwera bazy danych.
	 * 
	 * @param dialect
	 * @return
	 */
	public static boolean valueGeneratorsAreAvalaible(Dialect dialect) {
		switch (dialect) {
		case ORACLE:
			return false;
		case MYSQL:
			return false;
		case POSTGRESQL:
			return false;
		case HSQL:
			return false;
		case DEFAULT:
		default:
			return false;
		}
	}

}
