package pl.slawas.scjdbc4jpa.jdbc.sql.functions;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.FunctionSupport;

/**
 * 
 * LPadSupport - abstrakcja funkcji dopełnienia z lewej strony łańcuchów
 * znakowych.
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
@SuppressWarnings("serial")
public abstract class LPadSupport extends FunctionSupport {

	/**
	 * Konstruktor operatora dopełnienia z lewej strony łańcuchów znakowych
	 * 
	 * @param name
	 *            nazwa funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public LPadSupport(String name, String alias, String[] arguments) {
		super(String.class, name, alias, arguments);
	}

}
