package pl.slawas.scjdbc4jpa.jdbc.sql.functions;

/**
 * 
 * TO_NUMBER - funkcja zamieniania obiektów (łańcuchów znakowych) do liczby
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
@SuppressWarnings("serial")
public abstract class ToNumberSupport extends FunctionSupport {

	/**
	 * Konstruktor funkcji zamieniania obiektów do liczby
	 * 
	 * @param name
	 *            nazwa funkcji
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToNumberSupport(String name, String alias, String[] arguments) {
		super(Double.class, name, alias, arguments);
	}

}
