package pl.slawas.scjdbc4jpa.jdbc.sql.functions.oracle;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.LTrimSupport;

/**
 * 
 * LTrim - LTRIM - funkcja zaimplementowana dla serwera Oracle
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class LTrim extends LTrimSupport {

	private static final long serialVersionUID = 8594151083288593623L;

	/**
	 * Konstruktor operatora obcinania z lewej strony łańcuchów znakowych
	 * 
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public LTrim(String alias, String[] arguments) {
		super("LTRIM", alias, arguments);
	}

}
