package pl.slawas.scjdbc4jpa.jdbc.sql.functions.oracle;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.Function;
import pl.slawas.scjdbc4jpa.jdbc.sql.functions.NoneSupport;

/**
 * 
 * None - funkcja zaimplementowana dla serwera Oracle
 * 
 * @see Function#None
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class None extends NoneSupport {

	private static final long serialVersionUID = 8594151083288593621L;

	/**
	 * Konstruktor funkcji obsługi braku wartości kolumny
	 * 
	 * @param returnType
	 *            typ kolumny
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie dodatkowa kolumna
	 * @param arguments
	 *            nazwa kolumny w zapytaniu
	 */
	public None(Class<?> returnType, String alias, String[] arguments) {
		super(returnType, "None", alias, arguments);
	}

}
