package pl.slawas.scjdbc4jpa.jdbc.sql.functions.oracle;

import pl.slawas.scjdbc4jpa.jdbc.sql.functions.ToCharSupport;

/**
 * 
 * ToChar - TO_CHAR - funkcja zaimplementowana dla serwera Oracle
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public class ToChar extends ToCharSupport {

	private static final long serialVersionUID = 8594151083288593622L;

	/**
	 * Konstruktor funkcji zamieniania obiektów do łańcucha znakowego
	 * 
	 * @param alias
	 *            nazwa kolumny w wyniku zapytania SQL pod jaką występować
	 *            bedzie wynik funkcji
	 * @param arguments
	 *            argumenty funkcji
	 */
	public ToChar(String alias, String[] arguments) {
		super("TO_CHAR", alias, arguments);
	}

}
