package pl.slawas.scjdbc4jpa.jdbc.where;

/**
 * 
 * ParamOperatorBool - proste operatory logiczne dla paramerów z uzyciem
 * klauzuli warunków logicznych złożonych
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum ParamOperatorBool implements _IParamOperator {

	BOOL("", "NOT");

	private final String operator;

	private final String notOperator;

	/**
	 * 
	 * @param operator
	 *            operator
	 * @param notOperator
	 *            operator negatywny
	 */
	private ParamOperatorBool(String operator, String notOperator) {
		this.operator = operator;
		this.notOperator = notOperator;
	}

	public String getOperator() {
		return operator;
	}

	public String getNotOperator() {
		return notOperator;
	}

}
