package pl.slawas.scjdbc4jpa.jdbc.where;

/**
 * 
 * ParamOperatorLike - proste operatory logiczne dla paramerów z uzyciem
 * klauzuli LIKE
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum ParamOperatorLike implements _IParamOperator {

	LIKE("LIKE", "NOT LIKE");

	private final String operator;

	private final String notOperator;

	/**
	 * 
	 * @param operator
	 *            operator
	 * @param notOperator
	 *            operator negatywny
	 */
	private ParamOperatorLike(String operator, String notOperator) {
		this.operator = operator;
		this.notOperator = notOperator;
	}

	public String getOperator() {
		return operator;
	}

	public String getNotOperator() {
		return notOperator;
	}

}
