package pl.slawas.scjdbc4jpa.jdbc.where;

/**
 * 
 * ParamOperatorNull - proste operatory logiczne dla paramerów IS NULL, IS NOT
 * NULL
 * 
 * @author Sławomir Cichy &lt;slawas@slawas.pl&gt;
 * @version $Revision: 1.1 $
 * 
 */
public enum ParamOperatorNull implements _IParamOperator {

	IS("IS", "IS NOT");

	private final String operator;

	private final String notOperator;

	/**
	 * 
	 * @param operator
	 *            operator
	 * @param notOperator
	 *            operator negatywny
	 */
	private ParamOperatorNull(String operator, String notOperator) {
		this.operator = operator;
		this.notOperator = notOperator;
	}

	public String getOperator() {
		return operator;
	}

	public String getNotOperator() {
		return notOperator;
	}

}
